Ecuador company
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ec-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "7154"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ec-companies"
payload = { "company": "7154" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: '7154'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ec-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ec_companies",
"company": "7154",
"company_id": "7154",
"human": "# Ecuador — Superintendencia de Compañías — company\n\n- **Number:** 7154\n- **Pages opened:** 1\n- **Proxy traffic:** 1.2 KB\n- **Name:** PROCESADORA NACIONAL DE ALIMENTOS C.A. PRONACA\n- **Source:** https://appscvsgen.supercias.gob.ec/consultaCompanias/societario/busquedaCompanias.jsf",
"machine": {
"company": {
"registration_number": "7154",
"ruc": "1790319857001",
"name": "PROCESADORA NACIONAL DE ALIMENTOS C.A. PRONACA",
"status": null,
"address": null,
"url": "https://appscvsgen.supercias.gob.ec/consultaCompanias/societario/busquedaCompanias.jsf",
"company_type": null,
"incorporation_date": null,
"open_data_files": [
{
"name": "bi_compania.csv",
"description": "Companies: expediente, RUC, name, type, province",
"url": "https://appscvsmovil.supercias.gob.ec/ranking/recursos/bi_compania.csv"
},
{
"name": "bi_ranking.csv",
"description": "Yearly financials and CIIU codes per company",
"url": "https://appscvsmovil.supercias.gob.ec/ranking/recursos/bi_ranking.csv"
}
]
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 1199
},
"total_points": 5
}Company Registries
Ecuador company
Get one company from the Ecuador registry (Superintendencia de Compañías) by expediente number or RUC: expediente, RUC and registered name. 5 point per returned record.
POST
/
functions
/
v1
/
run-ec-companies
Ecuador company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Expediente or RUC. e.g. 7154
Response
Run completed.